Update estate
curl --request PATCH \
--url https://api.sortx.co.uk/estates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedRevision": 123,
"name": "<string>",
"postcode": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 123,
name: '<string>',
postcode: '<string>',
reference: '<string>',
line1: '<string>',
line2: '<string>',
town: '<string>',
freeholderContactId: '<string>',
freeholderCompanyId: '<string>',
managingAgentContactId: '<string>',
managingAgentCompanyId: '<string>',
notes: '<string>'
})
};
fetch('https://api.sortx.co.uk/estates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/estates/{id}"
payload = {
"expectedRevision": 123,
"name": "<string>",
"postcode": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"postcode": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Update estate
Edit an estate at the revision read
PATCH
/
estates
/
{id}
Update estate
curl --request PATCH \
--url https://api.sortx.co.uk/estates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedRevision": 123,
"name": "<string>",
"postcode": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 123,
name: '<string>',
postcode: '<string>',
reference: '<string>',
line1: '<string>',
line2: '<string>',
town: '<string>',
freeholderContactId: '<string>',
freeholderCompanyId: '<string>',
managingAgentContactId: '<string>',
managingAgentCompanyId: '<string>',
notes: '<string>'
})
};
fetch('https://api.sortx.co.uk/estates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/estates/{id}"
payload = {
"expectedRevision": 123,
"name": "<string>",
"postcode": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"postcode": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success